Page MenuHomePhabricator

Article Feedback Central Activity Log - Variable names showing
Closed, ResolvedPublic

Description

Details

Reference
bz36525

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 12:23 AM
bzimport added a project: ArticleFeedbackv5.
bzimport set Reference to bz36525.
Ironholds created this task.May 4 2012, 7:54 PM

The central feedback activity log should be showing the article names (instead of dollar signs -see attachment), as outlined in our feature requirements:
http://www.mediawiki.org/wiki/Article_feedback/Version_5/Feature_Requirements#Article_Feedback_Activity_Log

This was fixed previously by OmniTI and Roan, but the problem appears to have re-appeared.

See also our Google doc regarding all these messages:
https://docs.google.com/a/wikimedia.org/spreadsheet/ccc?key=0Aq_75_5y5sKWdDVDNjJNejRUYW9yaU82WDAzQ21ZWGc#gid=0

Fix is up here: https://gerrit.wikimedia.org/r/#/c/6920/
Also pushed to omniti branch

Reha: I put the new class also in .hooks.php (since the static function is in there already) - having 2 classes in same file doesn't seem the cleanest to me, so we could move both to a separate file (and move the static function inside the new class) but actually they pretty much are hooks, so it somehow makes sense to have it all in .hooks.php. Meh, I wondered what "the cleanest" solution was and settled for changing the least possible code; please suggest what you think is best ;)

Maybe you guys already know it, but this was not fixed in the code that was pushed to production today. The article feedback log is showing the complete URL instead of the feedback post ID, and still has dollar signs at the end.

Here is the proposed format for this centralized AFT5 activity log.

Pseudo-code:
<date> <user name> (<talk> | <contribs>) <action taken> <feedback post #[post ID]> on <article name>: "<note>"

Example:
19:12, 6 April 2012 Fabrice Florin (talk | contribs) hid feedback post #4654 on Mitt Romney: "I am hiding this post because the user is SHOUTING opinions and not making any sense. Though this quote is particularly humorous: WHAT EVER HAPPENED TO THE HIPPOCRATIC OAT?"

See our feature requirements page:
http://www.mediawiki.org/wiki/Article_feedback/Version_5/Feature_Requirements#Article_Feedback_Activity_Log

The code still needs to be reviewed and has not yet been merged, so it's "normal" that it's still broken on yesterday's deployment.